/* This file contains the required settings for the IQS5xx, for a specific hardware setup 
	This can be exported from the IQS5xx GUI, or modified here.  It is used in the 
	IQS5xx_Setup() function to configure the on-chip parameters of the device. */
	
// Product Number
#define	PRODUCT_NUMBER			40     		// Note: 2 bytes		
#define	PROJECT_NUMBER			0      		// Note: 2 bytes      
#define	VERSION_NUMBER			55      
										
#define	CONTROLSETTINGS0_VAL	0x00    
#define	CONTROLSETTINGS1_VAL	0x00    
										
#define	PROXTHRESHOLD_VAL		10      
#define	TOUCHMULTIPLIER_VAL		5       
#define	TOUCHSHIFTER_VAL		7       
#define	PMPROXTHRESHOLD_VAL		10      
#define	SNAPTHRESHOLD_VAL		100     	// Note: 2 bytes
#define	PROXTHRESHOLD2_VAL		10      	
#define	TOUCHMULTIPLIER2_VAL	5       	
#define	TOUCHSHIFTER2_VAL		7       	
											
#define	ATITARGET_VAL			600     	// Note: 2 bytes
#define	ATIC_VAL				0       	
#define	ATITARGET2_VAL			600     	// Note: 2 bytes
#define	ATIC2_VAL				0       
										
#define	FILTERSETTINGS0_VAL		0x00    
#define	TOUCHDAMPING_VAL		128	    
#define	HOVERDAMPING_VAL		38      
#define	PMCOUNTDAMPING_VAL		16      
#define	LPPMCOUNTDAMPING_VAL	128     
#define	NMCOUNTDAMPING_VAL		3       
										
#define	RESEEDTIME_VAL			80      
#define	COMMSTIMEOUT_VAL		100     
#define	MODETIME_VAL			8       
#define	LPTIME_VAL				8       
#define	SLEEPTIME_VAL			3       
										
#define	TOTALRXS_VAL			10      
#define	TOTALTXS_VAL			15      
#define	TRACKPADRXS_VAL			10      
#define	TRACKPADTXS_VAL			15      
#define	PMSETUP0_VAL			0x40    
#define	TXHIGH_VAL				0x7F    
#define	TXLOW_VAL				0xFF    
										
#define	PROXSETTINGS0_VAL		0x24    
#define	PROXSETTINGS1_VAL		0x72    
#define	PROXSETTINGS2_VAL		0x15    
#define	PROXSETTINGS3_VAL		0x43    
										
#define	ACTIVECHANNELS0_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS1_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS2_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS3_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS4_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS5_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS6_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS7_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS8_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS9_VAL		0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS10_VAL	0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS11_VAL	0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS12_VAL	0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS13_VAL	0x3FF   	// Note: 2 bytes
#define	ACTIVECHANNELS14_VAL	0x3FF		// Note: 2 bytes
											
#define	PROXDB_VAL				0x44    	
#define	TOUCHSNAPDB_VAL			0x44    	
											
#define	PMATITARGET_VAL			500     	// Note: 2 bytes
#define	PMATIC_VAL				0